Bug 1111541 - Review Request: ansifilter - ANSI terminal escape code converter
Summary: Review Request: ansifilter - ANSI terminal escape code converter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 591150 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-20 09:46 UTC by Christopher Meng
Modified: 2014-08-08 00:40 UTC (History)
3 users (show)

Fixed In Version: ansifilter-1.8-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-01 23:54:33 UTC
Type: ---
jskarvad: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Christopher Meng 2014-06-20 09:46:48 UTC
Spec URL: https://mega.co.nz/#!edRwHCAK!bZz3IuXElTSppKo9UFIHvDh8mUhzq5g4tI3OGp_CJz8
SRPM URL: https://mega.co.nz/#!nAhh0S5L!1h3MPYUeIrPmdFRj_M-n9DD5AVLeEZCCpckBHUzYCR4
Description: Ansifilter handles text files containing ANSI terminal escape codes.
The command sequences may be stripped or be interpreted to generate formatted
output (HTML, RTF, TeX, LaTeX, BBCode).
Fedora Account System Username: cicku

Comment 1 Christopher Meng 2014-06-20 09:47:14 UTC
*** Bug 591150 has been marked as a duplicate of this bug. ***

Comment 2 Jaroslav Škarvada 2014-06-24 11:37:55 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v3 or later)", "GPL (v3 or later)", "Unknown or
     generated". 2 files have unknown license. Detailed output of licensecheck
     in /home/yarda/git-fedora/ansifilter/review-ansifilter/licensecheck.txt

     See notes bellow

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Package contains desktop file if it is a GUI application.

     See notes bellow

[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 102400 bytes in 6 files.
[!]: Package complies to the Packaging Guidelines

     See notes bellow

[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ansifilter-
     gui

     No need, it is standalone subpackage by design. It would be nice if upstream
     could split the shared code to e.g. library, but due to the size (e.g. 160kB)
     this is not an issue.

[?]: Package functions as described.

     Not fully tested.

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ansifilter-1.8-1.fc20.x86_64.rpm
          ansifilter-gui-1.8-1.fc20.x86_64.rpm
          ansifilter-1.8-1.fc20.src.rpm
ansifilter-gui.x86_64: W: no-manual-page-for-binary ansifilter-gui
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ansifilter ansifilter-gui
ansifilter-gui.x86_64: W: no-manual-page-for-binary ansifilter-gui
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
ansifilter (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

ansifilter-gui (rpmlib, GLIBC filtered):
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
ansifilter:
    ansifilter
    ansifilter(x86-64)

ansifilter-gui:
    ansifilter-gui
    ansifilter-gui(x86-64)



Source checksums
----------------
http://www.andre-simon.de/zip/ansifilter-1.8.tar.gz :
  CHECKSUM(SHA256) this package     : 388445081018f4ccc1aa6f7c9166e9c8b67ceef877772392f9824645eb11fd42
  CHECKSUM(SHA256) upstream package : 388445081018f4ccc1aa6f7c9166e9c8b67ceef877772392f9824645eb11fd42


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -n ansifilter
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG



Notes
-----

Problems:
- I think this is GPLv3+ as stated in the sources, not GPLv3.
- No desktop file for GUI (it is MUST according to [1])

Nice to have:
- Several files use CR+LF but not all. It would be nice to preprocess source files with dos2unix and let upstream know to be consistent.


[1] http://fedoraproject.org/wiki/Packaging:ReviewGuidelines#ThingsToCheckOnReview

Comment 3 Jaroslav Škarvada 2014-06-24 12:45:32 UTC
Also please next time upload the sources to place wherefrom they could be simple wget-ed, e.g. fedorapeople.org. or anywhere, in such case it could be automatically processed by the fedora-review tool.

Comment 4 Christopher Meng 2014-07-21 08:39:17 UTC
Fixed, I'd prepared but forgot to include the desktop file at the first time...

NEW SPEC URL: http://us-la.cicku.me/ansifilter.spec
NEW SRPM URL: http://us-la.cicku.me/ansifilter-1.8-2.fc22.src.rpm

Comment 5 Jaroslav Škarvada 2014-07-21 10:00:31 UTC
Giving fedora-review+.

Some other comments (not blocking the review):

I guess there is an typo in the comment:
# CLTR quickfix
should be probably
# CRLF  quickfix

Also the conversion could be done by dos2unix tool, e.g.:
 dos2unix src/{qt-gui/*,*}

Comment 6 Christopher Meng 2014-07-21 10:13:59 UTC
I will ask upstream to do that.

Thanks!

New Package SCM Request
=======================
Package Name: ansifilter
Short Description: ANSI terminal escape code converter
Upstream URL: http://www.andre-simon.de/doku/ansifilter/ansifilter.php
Owners: cicku
Branches: f19 f20 f21 el6 epel7

Comment 7 Gwyn Ciesla 2014-07-21 12:47:07 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-07-22 02:36:29 UTC
ansifilter-1.8-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ansifilter-1.8-2.fc19

Comment 9 Fedora Update System 2014-07-22 02:36:35 UTC
ansifilter-1.8-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ansifilter-1.8-2.fc20

Comment 10 Fedora Update System 2014-07-22 02:36:41 UTC
ansifilter-1.8-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ansifilter-1.8-2.el6

Comment 11 Fedora Update System 2014-07-22 18:08:31 UTC
ansifilter-1.8-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 12 Fedora Update System 2014-08-01 23:54:33 UTC
ansifilter-1.8-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 13 Fedora Update System 2014-08-01 23:56:05 UTC
ansifilter-1.8-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2014-08-08 00:40:27 UTC
ansifilter-1.8-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.